org.apache.mina.core.session

## Enum SessionState

- java.lang.Object
- - java.lang.Enum<SessionState>
  - - org.apache.mina.core.session.SessionState

- All Implemented Interfaces:
    Serializable, Comparable<SessionState>

      public enum SessionState
      extends Enum<SessionState>

  The session state. A session can be in three different state :
  - OPENING : The session has not been fully created
  - OPENED : The session is opened
  - CLOSING : The session is closing
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSING`
    `OPENED`
    `OPENING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SessionState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SessionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPENING

          public static final SessionState OPENING

    - #### OPENED

          public static final SessionState OPENED

    - #### CLOSING

          public static final SessionState CLOSING

  - ### Method Detail

    - #### values

          public static SessionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SessionState c : SessionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SessionState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.